<section class='col-md-4 col-xs-12'>
  <div class='errors alert'>
    <% if @recipe.errors.any? %>
    <ul>
      <% @recipe.errors.full_messages.each do |err| %>
        <li><%= err %></li>
      <% end %>
    </ul>
    <% end %>
  </div>
  <div class='form'>
  <%= form_for @recipe do |f| %>
    <div class='field form-group'>
      <%= f.label :name %>
      <%= f.text_field :name, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :kitchen_id %>
      <%= f.collection_select :kitchen_id, @kitchens, :id, :name, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :food_type_id %>
      <%= f.collection_select :food_type_id, @food_types, :id, :name, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :food_preference_id %>
      <%= f.collection_select :food_preference_id, @food_preferences, :id, :name, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :total_time %>
      <%= f.text_field :total_time, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :total_people %>
      <%= f.text_field :total_people, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :difficulty %>
      <%= f.collection_select :difficulty, Recipe.difficulties, :to_s, :to_s, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :ingredients %>
      <%= f.text_area :ingredients, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :preparation %>
      <%= f.text_area :preparation, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.label :photo %>
      <%= f.file_field :photo, class:'form-control' %>
    </div>

    <div class='field form-group'>
      <%= f.submit message, class:'btn btn-default' %>
    </div>
  <%end%>
  </div>
</section>
